Error in PostgreSQL schema upgrade (14.7)

12/31/2007 04:53 PM - Pierre Chifflier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.9.14.1   

Resolution: fixed   

Description

File pgsql-update-14-7.sql (for classic) contains following SQL instruction:

ALTER TABLE Prelude_Impact ALTER COLUMN description TYPE VARCHAR(255) NULL;

 

The 'NULL' keyword at end is illegal and causes an upgrade error. If the idea is not set a default NULL value, you should use:

ALTER TABLE Prelude_Impact ALTER COLUMN description SET DEFAULT NULL;

 

If this means allowing null (as a constraint), use:

ALTER TABLE Prelude_Impact ALTER COLUMN description DROP NOT NULL;

History

#1 - 01/02/2008 11:47 AM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

#2 - 01/02/2008 01:46 PM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to fixed

(In r10115) Drop 'NOT NULL' constraint with a separate query (Fix #271).

Thanks to Pierre Chifflier <p.chifflier@inl.fr> for pointing this out.

#3 - 04/29/2009 12:23 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to LibpreludeDB

- Category deleted (2)

- Target version deleted (0.9.14.1)

Powered by TCPDF (www.tcpdf.org)

05/06/2024 1/1

http://www.prelude-siem.org/issues/271
mailto:p.chifflier@inl.fr
http://www.tcpdf.org

